
QGIS Application - Bug report #11256

GRASS r.thin not working

2014-09-23 04:30 AM - Luiz Andrade

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19556

Description

Every time I try to run a GRASS command I receive the following error: "Oooops! The following output layers could not be open".

Actually the same problem happens with other GRASS commands and even with SAGA commands.

History

#1 - 2014-09-23 05:13 AM - Luiz Andrade

I forgot to mention the OS I'm using. I'm trying to run this both on Windows and Linux. On windows I made the installation using the OSGeo4W installer.

#2 - 2014-09-23 10:56 AM - Luiz Andrade

- File ta28582NOaz.tif added

I'm uploading here the image I'm trying to use to perform the r.thin.

#3 - 2014-10-04 04:13 AM - Giovanni Manghi

- Resolution set to invalid

- Category set to 94

When using Processing (ex Sextante) is suggested to chenge the options and make the module window stay open after the module run, this way you will

be able to see the complete module log.

In this case the problem is that your raster is not georeferenced, this is easy to understand because qgis asks for the CRS when you load it, and there is no

world file (or at least you haven't provided it).

The r.thin log then shows a message that helps understand

GRASS_INFO_WARNING(28200,2): G_set_window(): Illegal latitude for North 

GRASS_INFO_END(28200,2)

probably because the tools expects the raster to be correctly georeferenced.

#4 - 2014-10-04 04:13 AM - Giovanni Manghi

- Status changed from Open to Closed
#5 - 2015-06-07 04:32 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

r.thin.bmp 688 KB 2014-09-23 Luiz Andrade

parameters.bmp 930 KB 2014-09-23 Luiz Andrade

ta28582NOaz.tif 1.18 MB 2014-09-23 Luiz Andrade
